1. Orders
Printags Public
  • Accounts
    • Get current account
      GET
    • Get an account by ID
      GET
  • Orders
    • Find orders
      GET
    • Get an order by ID
      GET
    • Create a new order
      POST
    • Validate an order
      POST
  • Files
    • Upload a file
      POST
    • Get a file by ID
      GET
  • Statuses
    • Get all statuses
      GET
  • Schemas
    • Account
    • Address
    • Customer
    • Model
    • Product
    • ProductGroup
    • SubscriptionPlan
    • Shipping
    • Order
    • NFC
  1. Orders

Get an order by ID

GET
/accounts/{accountId}/orders/{orderId}
Fetch detailed information for a specific order based on the order ID.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
Successfully retrieved order details
Body

🟠401
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/accounts//orders/' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "success": true,
    "order": {
        "id": "987e6543-e21a-11d4-a789-0242ac120002",
        "reference": "Order-JeanDupont-2024",
        "accountId": "123e4567-e89b-12d3-a456-426614174000",
        "status": "created",
        "customer": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "email": "jean.dupont@example.fr",
            "firstname": "Jean",
            "lastname": "Dupont",
            "company": "Dupont Entreprises",
            "accountId": "c10e4fdf-a77d-457c-8fd6-2c0b29214800",
            "createdAt": "2024-07-01T09:26:55.737Z"
        },
        "shipTo": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "Jean Dupont",
            "phone": "+33612345678",
            "email": "jean.dupont@example.fr",
            "address": {
                "addressLine1": "10 rue de la République",
                "addressLine2": "Appartement 123",
                "city": "Paris",
                "postcode": "75001",
                "countryCode": "FR"
            },
            "servicePoint": {
                "id": "12624766",
                "country": "LU"
            }
        },
        "statusHistory": [
            {
                "id": "987e6543-e21a-11d4-a789-0242ac120002",
                "status": "created",
                "createdAt": "2024-07-01T09:26:55.737Z"
            }
        ],
        "products": [
            {
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "model": {
                    "id": "pvccard_white",
                    "size": {
                        "width": 0,
                        "height": 0,
                        "length": 0,
                        "weight": 6
                    },
                    "canBeEncoded": true
                },
                "metadata": {},
                "files": [],
                "status": "created",
                "shippings": [],
                "createdAt": "2024-04-08T13:22:37.000Z"
            }
        ],
        "product_groups": [
            {
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "modelId": "ntag424_pvccard_white",
                "name": "Jean Dupont",
                "quantity": 10,
                "nfc": {
                    "type": "empty",
                    "content": "https://example.com",
                    "dynamic": {
                        "baseUrl": "https://example.com",
                        "records": {
                            "recordId": 1,
                            "publicKey": "B5ADF942C642D16B2803CA672F47D11D",
                            "privateKey": "82F87EB3F693B84BCC154A0373363A62"
                        }
                    }
                },
                "model": {
                    "id": "pvccard_white",
                    "size": {
                        "width": 0,
                        "height": 0,
                        "length": 0,
                        "weight": 6
                    },
                    "canBeEncoded": true
                }
            }
        ],
        "metadata": {},
        "shippings": [
            {
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "trackerId": "1234567890",
                "trackingNumber": "1Z999AA10123456784",
                "products": {
                    "modelId": 4
                }
            }
        ],
        "total": 50.99
    }
}
Modified at 2026-04-02 11:43:40
Previous
Find orders
Next
Create a new order
Built with